curl --request POST \
--url https://services.leadconnectorhq.com/funnels/funnel/cookie-consent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "<string>",
"funnelId": "<string>",
"isCookieEnabled": true,
"style": "<string>",
"bgColor": "<string>",
"textColor": "<string>",
"primaryTextColor": "<string>",
"secondaryTextColor": "<string>",
"linkColor": "<string>",
"primaryColor": "<string>",
"secondaryColor": "<string>",
"isOwnPolicyLink": "<string>",
"policyLink": "<string>",
"policyLinkText": "<string>",
"selectedFont": "<string>",
"fontSize": "<string>",
"complianceType": "<string>",
"msgDescription": "<string>",
"signature": "<string>",
"customiseTextColor": "<string>",
"customiseColor": "<string>",
"showCustomise": true,
"consentExpiration": 123,
"reloadPage": true,
"cookieList": [
"<string>"
],
"cookieListSettings": {},
"layoutSettings": {},
"version": 123,
"disablePageLevelCookieConsent": true,
"pageId": "<string>"
}
'curl --request POST \
--url https://services.leadconnectorhq.com/funnels/funnel/cookie-consent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "<string>",
"funnelId": "<string>",
"isCookieEnabled": true,
"style": "<string>",
"bgColor": "<string>",
"textColor": "<string>",
"primaryTextColor": "<string>",
"secondaryTextColor": "<string>",
"linkColor": "<string>",
"primaryColor": "<string>",
"secondaryColor": "<string>",
"isOwnPolicyLink": "<string>",
"policyLink": "<string>",
"policyLinkText": "<string>",
"selectedFont": "<string>",
"fontSize": "<string>",
"complianceType": "<string>",
"msgDescription": "<string>",
"signature": "<string>",
"customiseTextColor": "<string>",
"customiseColor": "<string>",
"showCustomise": true,
"consentExpiration": 123,
"reloadPage": true,
"cookieList": [
"<string>"
],
"cookieListSettings": {},
"layoutSettings": {},
"version": 123,
"disablePageLevelCookieConsent": true,
"pageId": "<string>"
}
'Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?